Subject: Re: bug#23031: reporting write errors and handling SIGPIPE
From: Assaf Gordon <[email-masked]>
To: Paul Eggert <[email-masked]>, [email-masked]
Date: Fri, 18 Mar 2016 13:30:23 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

On 03/17/2016 02:49 PM, Paul Eggert wrote:
> On 03/16/2016 09:14 AM, Assaf Gordon wrote:
>> Attached is a patch that adds errno information to 'write error' messages
>
> Thanks, I installed the attached somewhat-tweaked version of that. Among other things I renamed the new static functions to avoid confusion with existing "safer" functions.
>
> This doesn't address the SIGPIPE mystery so I'll leave the bug report open, but my guess is that this part isn't really a grep bug.

Thanks for the inclusion and the additional information.
This is indeed not a bug in grep (and thus closed).

I found that on my weird setup, programs start with SIGPIPE set to SIG_IGN by default (not sure how I got myself into such situation).

regards,
  - assaf